
Redmine - Patch #12813

Allow replies to original issue e-mail to add issue notes

2013-01-11 16:04 - mark burdett

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

When an issue is submitted to Redmine via e-mail, and a carbon-copied recipient replies to the original e-mail, the subject will not

include the issue number. This reply (and future replies) result in the creation of additional new issues.

This patch allows the mail handler to lookup the issue by subject, and add the reply as a note on the original issue.  If no matching

issue is found, it falls back to adding a new issue.

History

#1 - 2013-01-11 20:02 - mark burdett

- File redmine-issue-reply-match-by-subject.patch added

Updated patch - find the most recent issue matching this subject, in case there are multiple issues with the same subject.

#2 - 2013-01-20 07:57 - Toshi MARUYAMA

- Category set to Email receiving

#3 - 2013-02-18 16:07 - Timothy Fawcett

Two comments:

1. Would be nice if the UID of the message was stored with the email/issue so that could be used to match these replies with the original email

2. Would be best (to avoid adding notes to the wrong issue) to also match the author to one of the email recipients.  Would normally reply to all

which would include the issue creation email address as well as all that was on the email, including the original author.

Thank you for this...

#4 - 2013-08-16 03:09 - mark burdett

- File redmine-issue-reply-match-by-subject.patch added

This new version of the patch catches an edge case: If the issue subject starts with "Re: ", then replies to the original e-mail will not add an additional

"Re: " in front: We need to search for the whole e-mail subject as the issue subject, rather than removing the "Re: " prefix from the e-mail subject.

#5 - 2015-05-29 13:50 - Maicon Zucco

Hi Mark,

Thanks for your solution. Isn't the best, but works.

You know how is possible to implement those validations too?

validate project

validate if issue is open

validate if sender is author, assigned_to or watcher of task

Thanks.

#6 - 2015-06-26 05:36 - mark burdett

- File redmine-issue-reply-match-by-subject.patch added

Noticed this patch was formatted incorrectly. Haven't had a need for the validations, but it's a good idea if someone wants to add it to the patch.

#7 - 2016-01-28 03:14 - mark burdett

- File redmine-issue-reply-match-by-subject.patch added

2025-05-02 1/2



This patch was using deprecated finders; now should work on current version of redmine.

#8 - 2016-02-24 15:45 - Snir Sh

Hi,

Can you help please?

I used the command "patch -p0 < path/redmine-issue-reply-match-by-subject.patch" to apply the patch.

What should I do now to start using it?

Thanks!

#9 - 2016-05-11 14:17 - Bahri Yardim

This patch addresses a lacking feature in a great way.

Thumbs up for the patch and issue.

This should be a core functionality.

#10 - 2016-05-11 14:18 - Bahri Yardim

@Snir Sh

If you don't know how to patch a ".patch" file. Open it in a text editor and patch the file manually. You can understand which line to change when you

examine the ".patch" file.

Files

redmine-issue-reply-match-by-subject.patch 1.23 KB 2013-01-11 mark burdett

redmine-issue-reply-match-by-subject.patch 1.22 KB 2013-01-11 mark burdett

redmine-issue-reply-match-by-subject.patch 1.33 KB 2013-08-16 mark burdett

redmine-issue-reply-match-by-subject.patch 1.45 KB 2015-06-26 mark burdett

redmine-issue-reply-match-by-subject.patch 1.37 KB 2016-01-28 mark burdett
